from pattern.vector import Document, Model, TFIDF


text1 = open('texts/text1.txt','r').read() 
	# CLiPS: AMiCA research publication
text2 = open('texts/text2.txt','r').read() 
	# Wikipedia: affective computation 
text3 = open('texts/text3.txt','r').read()
	# Motherboard: Computers Can Read Emotions Better Than You Can

# print text1, text2, text3

document1 = Document(text1,type='text1')
document2 = Document(text2,type='text2')
document3 = Document(text3,type='text3')

# print document1.vector
print "-----------------" 
		
		# The generalized Document.vector dictionary maps features (e.g., words) to feature weights (e.g., relative word count).

m = Model(documents=[document1, document2, document3], weight=TFIDF) 
		# here --> the distance between the vectors is calculated and a model is created

		# weighting schemes: TF, TFIDF, IG, BINARY

		# A Model has a weighting scheme that determines how the feature weights in each document vector are calculated. The weight parameter can be set to TF (relative term frequency), TFIDF, (term frequency vs. document frequency), IG (information gain), BINARY (0 or 1) or None (original weights).
	

print document1.vector
print "-----------------"

print "similarity doc1 & doc2 --> ", m.similarity(document1, document2)
print "similarity doc2 & doc3 --> ", m.similarity(document2, document3)
print "similarity doc1 & doc3 --> ", m.similarity(document1, document3)


		# (notes from: http://www.clips.ua.ac.be/pages/pattern-vector#document)
